Bug 211900 - Virt-manager icon for fully-virt domains
Virt-manager icon for fully-virt domains
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hugh Brock
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 15:08 EDT by Chris Lalancette
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 17:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-10-23 15:08:51 EDT
Description of problem:

It would be nice if virt-manager had a little icon next to fully-virt domains to
designate them from para-virt domains at a glance.  A simple icon would suffice.
Comment 1 Daniel Berrange 2006-10-27 11:00:59 EDT
The regular 'viDomainGetInfo' call we use to fetch CPU runtime stats in
virt-manager already has info about the type of OS:


[root@dhcp-4-245 ~]# virsh dominfo 26
Id:             26
Name:           demo
UUID:           66857c70-9898-fdfc-ed53-8eee3ba294bf
OS Type:        linux
State:          blocked
CPU(s):         1
CPU time:       372.3s
Max memory:     419840 kB
Used memory:    419620 kB

[root@dhcp-4-245 ~]# virsh dominfo 27
Id:             27
Name:           rhel4x86_64
UUID:           6c41378b-896e-1117-f8b6-ebc7628e0d1b
OS Type:        hvm
State:          blocked
CPU(s):         1
CPU time:       4.5s
Max memory:     533680 kB
Used memory:    525488 kB

So should be easy to add another column to the main list to show a different
icon for HVM vs  Linux paravirt.

Comment 2 Red Hat Bugzilla 2007-07-24 22:06:11 EDT
change QA contact
Comment 3 Daniel Berrange 2007-09-27 17:00:34 EDT
Decided that having an icon for represent HVM guests is not useful long term.
There is no longer any clear distinction between paravirt & fullvirt, with the
concepts converging to a large degree. So we'd just end up with the same icon
repeated over & over

Note You need to log in before you can comment on or make changes to this bug.